Subject: bug#24574: emacs-module is not GPL compatible (Windows)

From: Mambo Levis <[email-masked]>
Date: Sun, 2 Oct 2016 15:53:21 +0000 (UTC)

Hi,
I found the problem:
I checked everything again using the tool pexports, and both sqlite3-core.dll and sqlite3.dll were exporting all symbols. I compare all with the following article:http://gernotklingler.com/blog/creating-using-shared-libraries-different-compilers-different-operating-systems/  and I couldn't find any problem. 

The only thing left to do was to put sqlite.dll in the emacs\bin folder and Voilà, now it works. In fact I had already added the path and used  to sqlite3.dll in my emacs init file, but the location was wrong; after my emacs-modules collection. 
Thank you for your feedback and support. 
Muchas gracias Oscar Fuentes por tu colaboración.
Levis

    On Sunday, October 2, 2016 8:24 AM, Eli Zaretskii <[email-masked]> wrote:

 > Date: Sat, 1 Oct 2016 20:28:15 +0000 (UTC)
> From: Mambo Levis <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>, 
>     "[email-masked]" <[email-masked]>
> 
> %.$(SO): %.o
> $(LD) -shared $(LDFLAGS) -o $@ $< sqlite3.lib
> [...]
> Please, notice that this time the plugin_is_GPL_compatible. The problem is now that the module can't be
> found when a sqlite3.dll symbol is used.
> 
> Any Idea or suggestion?

Add -Wl,-export-all-symbols to LDFLAGS.